# Class IntGenotypeFieldAccessors

java.lang.Object
htsjdk.variant.variantcontext.writer.IntGenotypeFieldAccessors

public class IntGenotypeFieldAccessors extends Object
A convenient way to provide a single view on the many int and int[] field values we work with, for writing out the values. This class makes writing out the inline AD, GQ, PL, DP fields easy and fast

Since:
  6/12

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`IntGenotypeFieldAccessors.Accessor`
`static class`
`IntGenotypeFieldAccessors.ADAccessor`
`static class`
`IntGenotypeFieldAccessors.DPAccessor`
`static class`
`IntGenotypeFieldAccessors.GQAccessor`
`static class`
`IntGenotypeFieldAccessors.PLAccessor`

## Constructor Summary

Constructors
Constructor
Description
`IntGenotypeFieldAccessors()`

## Method Summary

Modifier and Type
Method
Description
`IntGenotypeFieldAccessors.Accessor`
`getAccessor(String field)`
Return an accessor for field, or null if none exists

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IntGenotypeFieldAccessors

public IntGenotypeFieldAccessors()

## Method Details

### getAccessor

public IntGenotypeFieldAccessors.Accessor getAccessor(String field)
Return an accessor for field, or null if none exists

Parameters:
  `field` -
Returns: